# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::StreamFrameInput Class Reference

`#include <pic_io.h>`

Inheritance diagram for dirac::StreamFrameInput:

List of all members.

## Public Member Functions

- StreamFrameInput ()
    Default Constructor.
- StreamFrameInput (std::istream *ip_pic_ptr, const SourceParams &sparams)
    Constructor.
- virtual ~StreamFrameInput ()
    Destructor.
- virtual void Skip (const int n)
    Skip n frames of input.
- virtual bool ReadNextPicture (Picture &myframe)
    Read the next frame from the file.

## Private Member Functions

- bool ReadFrameComponent (PicArray &pic_data, const CompSort &cs)
    Read a Frame component from the file.

## Constructor & Destructor Documentation

dirac::StreamFrameInput::StreamFrameInput | ( |  | ) |

dirac::StreamFrameInput::StreamFrameInput | ( | std::istream * | ip_pic_ptr,
|  | const SourceParams & | sparams |
| ) |  |  |

Constructor, takes

Parameters:

  | ip_pic_ptr | input stream to read from
  | sparams | Source parameters

virtual dirac::StreamFrameInput::~StreamFrameInput | ( |  | ) | `[virtual]`

## Member Function Documentation

bool dirac::StreamFrameInput::ReadFrameComponent | ( | PicArray & | pic_data,
|  | const CompSort & | cs |
| ) |  |  | `[private]`

virtual bool dirac::StreamFrameInput::ReadNextPicture | ( | Picture & | myframe | ) | `[virtual]`

Implements dirac::StreamPicInput.

virtual void dirac::StreamFrameInput::Skip | ( | const int | n | ) | `[virtual]`

Implements dirac::StreamPicInput.

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.